package com.ozs.service.utils;


import com.ozs.service.service.CameraLogDetailService;
import com.ozs.service.service.CameraUpdateLogService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * 相机工具
 * @author Administrator
 */

@Configuration
@Slf4j
@Component
public class CallbackUtil {
    @Autowired
    CameraLogDetailService cameraLogDetailService;
    private static  CameraLogDetailService cameraLogDetail;


    @PostConstruct
    public void init() {
        cameraLogDetail = cameraLogDetailService;
    }
    
    public static void  callback(String deviceSn,Integer code){
        CallbackUtil.cameraLogDetail.updateAccessories(deviceSn,code);
    }
}
